# term-owo-cpp

A simple C++ program that owofies text

## Usage

### normal usage:
```bash
$ ./owo "Hello, world!"
Hewwo, wowld!
```

### from pipe / stdin:
```bash
$ echo "Hello, world!" | ./owo -p
Hewwo, wowld!
```

## Building
```bash 
$ make dev
$ ./owo "Hello, world!"
hewwo, wowld!
```

## Installation

### archlinux:
#### Aur
```bash
$ git clone `https://git.alfieking.dev/acetheking987/term-owo-cpp.git`
$ cd term-owo-cpp
$ makepkg -si
```
#### Custom Repo
/etc/pacman.conf
```
[alfieking.dev]
Server = https://repo.alfieking.dev/x86_64
```
bash
```bash
$ pacman-key --recv-keys 1553B1410D80686C8D2A27338035E1AC0B1440DC
$ pacman-key --lsign-key 1553B1410D80686C8D2A27338035E1AC0B1440DC
$ pacman -Sy owo 
```

### other distros:
download the binary from the releases page or build from source

## License
This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details